%define _name gnome-media
%define ver_major 2.6
%def_disable static

Name: gnome2-media
Version: %ver_major.2
Release: alt1

Summary: GNOME media programs
License: LGPL
Group: Graphical desktop/GNOME
URL: ftp://ftp.gnome.org/
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2
Patch: %_name-2.6.2-alt-MTA.patch
Obsoletes: %_name

%define gtk_ver 2.4.1
%define libgnomeui_ver 2.6.1
%define esound_ver 0.2.34
%define control_center_ver 2.6.1
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.6.0
%define gstreamer_ver 0.8.1
%define gnome_common_ver 2.4.0

Requires: %name-cddbslave = %version-%release	%name-gcdplayer = %version-%release
Requires: %name-gmix = %version-%release	%name-grecord = %version-%release
Requires: %name-vumeter = %version-%release

BuildPreReq: kernel-headers-std
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: GConf2 >= %GConf_ver

#BuildRequires: gnome-common >= %gnome_common_ver

# Automatically added by buildreq on Fri May 14 2004
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs docbook-utils esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel gstreamer-devel gstreamer-plugins-devel intltool libGConf2-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libgail-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel

%description
GNOME media programs for the GNOME 2.0 desktop contains the following:

Gnome-cd	- GNOME CD player, with CDDB support.
cddbslave	- Helper daemon for CDDB support.
Gmix		- GNOME audio mixer for OSS devices.
vumeter 	- ESD volume level meter.
Grecord		- GNOME Sound recorder.

%package common
Summary: Common files for GNOME media programs
Group: Graphical desktop/GNOME
PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
Requires: gnome-control-center >= %control_center_ver
Requires: gstreamer-oss >= %gstreamer_ver
Requires: gstreamer-audio-effects >= %gstreamer_ver
Requires: gstreamer-audiofile >= %gstreamer_ver
Requires: gstreamer-audio-formats >= %gstreamer_ver
Requires: gstreamer-videosink >= %gstreamer_ver
Requires: gstreamer-videotest >= %gstreamer_ver
Requires: gstreamer-xvideosink >= %gstreamer_ver
Conflicts: %_name

%description common
This package contains common files needed to run GNOME media programs.

%package gcdplayer
Summary: GNOME CD player with CDDB support.
Group: Sound
PreReq: %name-common = %version-%release
Requires: %name-cddbslave = %version-%release MTA
Requires: gstreamer-cdplayer >= %gstreamer_ver

%description gcdplayer
The GNOME CD Player application enables you to play audio Compact Discs
(CDs) on your computer. You can use CD Player to perform the following
tasks with audio CDs:

- Play, pause, stop, or eject a CD.
- Move through the tracks on the CD.
- Adjust the output volume from the CD Player.
- Edit the track information

%package cddbslave
Summary: Helper daemon for CDDB support.
Group: Sound
PreReq: %name-common = %version-%release
Requires: libcddbslave2 = %version-%release MTA

%description cddbslave
This package conains helper daemon for CDDB support.

%package gmix
Summary: GNOME audio mixer for OSS devices.
Group: Sound
PreReq: %name-common = %version-%release

%description gmix
gnome-volume-control is a GNOME enabled audio mixer. It allows to mix
audio for 2 channel sound cards.

%package vumeter
Summary: ESD volume level meter.
Group: Sound
PreReq: %name-common = %version-%release
Requires: esound >= %esound_ver

%description vumeter
This package contains volume level meter for EsounD daemon.

%package grecord
Summary: GNOME Sound recorder.
Group: Sound
PreReq: %name-common = %version-%release
Requires: %name-gmix = %version-%release
Requires: libgstreamer >= %gstreamer_ver

%description  grecord
The application enables you to record and play waveform .wav sound files.

%package devel
Summary: Development files for GNOME media programs
Group: Sound
PreReq: %name-common = %version-%release
Requires: gstreamer-devel >= %gstreamer_ver

%description  devel
This package provides headers and libraries needed to develop GNOME
media programs.

%package -n libcddbslave2
Summary: Shared library needed to run cddbslave.
Group: System/Libraries

%description  -n libcddbslave2
This package contains shared library needed to run cddbslave(Helper
daemon for CDDB support).

%package -n libcddbslave2-devel
Summary: Development files for libcddbslave2
Group: Development/GNOME and GTK+
Requires: libcddbslave2 = %version-%release

%description  -n libcddbslave2-devel
This package contains development files for libcddbslave2.

%package -n libcddbslave2-devel-staic
Summary: Static version of libcddbslave2
Group: Development/GNOME and GTK+
Requires: libcddbslave2-devel = %version-%release

%description  -n libcddbslave2-devel-staic
This package contains static version of libcddbslave2.

%define _libexecdir %_bindir

%prep
%setup -q -n %_name-%version
%patch -p1

%__subst 's,grecord,gnome-sound-recorder,g' grecord/doc/*/{Makefile*,*.omf}
#find ./ -type f -name "Makefile*" -print0|xargs -r0 %__subst 's,\(PROGRAMS_\)GRECORD,\1GSTRECORD,' --
%__subst 's,\(PROGRAMS_\)GSTRECORD,\1GRECORD,' configure.in

for dir in `find grecord/doc/* -type d -maxdepth 1`; do
    pushd $dir
    (rename grecord gnome-sound-recorder *.xml *.omf)
    popd
done

%build
export ac_cv_path_SOX_PATH=/usr/bin/sox
intltoolize --copy --force
%__autoconf
%configure \
    --disable-schemas-install \
    %{subst_enable static}

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menus
%__mkdir_p %buildroot%_menudir
%__cat << __MENU_GCD__ > %buildroot%_menudir/gcdplayer
?package(%name-cdplayer): title="GNOME CD Player" longtitle="GNOME CD Player with CDDB support" \
command="%_bindir/gnome-cd" icon="gnome-cd.png" needs="x11" \
section="Multimedia/Sound"
__MENU_GCD__

%__cat << __MENU_VUMETER__ > %buildroot%_menudir/vumeter
?package(%name-vumeter): title="Sound volume monitor." longtitle="ESD volume level monitor for GNOME" \
command="%_bindir/vumeter" icon="gnome-vumeter.png" needs="x11" \
section="Multimedia/Sound"
?package(%name-vumeter): title="Recording level monitor." longtitle="Recording volume monitor for GNOME" \
command="%_bindir/vumeter -r" icon="gnome-reclevel.png" needs="x11" \
section="Multimedia/Sound"
__MENU_VUMETER__

%__cat << __MENU_GMIX__ > %buildroot%_menudir/gmix
?package(%name-gmix): title="GNOME Mixer" longtitle="GNOME audio mixer for OSS devices." \
command="%_bindir/gnome-volume-control" icon="gnome-mixer.png" needs="x11" \
section="Multimedia/Sound"
__MENU_GMIX__

%__cat << __MENU_GRECORD__ > %buildroot%_menudir/grecord
?package(%name-grecord): title="GNOME Sound recorder" longtitle="GNOME Sound recorder." \
command="%_bindir/gnome-sound-recorder" icon="gnome-grecord.png" needs="x11" \
section="Multimedia/Sound"
__MENU_GRECORD__

%__cat <<__GSTREAMER_PROPERTIES__ > %buildroot%_menudir/gstreamer-properties
?package(%name): command="%_bindir/gstreamer-properties" needs="gnome" \
section="Configuration/Gnome" title="GStreamer properties"  \
longtitle="Configure defaults for GStreamer applications" \
icon="gstreamer-properties.png"
__GSTREAMER_PROPERTIES__

# remove non-packaged files
%__rm -f %buildroot%_libdir/libglade/2.0/libgnome-media-profiles.la

%define programs gnome-cd gnome-sound-recorder gnome-volume-control gstreamer-properties
%find_lang --with-gnome %_name %_name-2.0 %programs

for omf in %programs; do
grep "$omf" %_name.lang >> $omf.lang
done

%__grep -v '\.omf' %_name.lang > %name-2.0.lang
%__cat gstreamer-properties.lang >> %_name-2.0.lang

%post common
%post_ldconfig
%gconf2_install gnome-audio-profiles

%postun common
%postun_ldconfig

%post gcdplayer
%gconf2_install gnome-cd
%update_menus
%update_scrollkeeper

%postun gcdplayer
%clean_menus
%clean_scrollkeeper

%post cddbslave
%gconf2_install CDDB-Slave2

%post gmix
%update_menus
%update_scrollkeeper

%postun gmix
%clean_menus
%clean_scrollkeeper

%post vumeter
%update_menus

%postun vumeter
%clean_menus

%post grecord
%update_menus
%update_scrollkeeper
%gconf2_install gnome-sound-recorder

%postun grecord
%clean_menus
%clean_scrollkeeper

%preun common
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-audio-profiles
fi

%preun grecord
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-sound-recorder
fi

%preun cddbslave
if [ $1 = 0 ]; then
%gconf2_uninstall CDDB-Slave2
fi

%preun gcdplayer
if [ $1 = 0 ]; then
%gconf2_uninstall gnome-cd
fi

%post -n libcddbslave2 -p %post_ldconfig
%postun -n libcddbslave2 -p %postun_ldconfig

%files

%files common -f %_name-2.0.lang
%_bindir/gstreamer-properties
%_bindir/gnome-audio-profiles-properties
%_libdir/libgnome-media-profiles.so.*
%_libdir/libglade/2.0/libgnome-media-profiles.so
%_datadir/control-center-2.0/capplets/gstreamer-properties.desktop
%_datadir/gstreamer-properties
%_datadir/%_name
%_datadir/pixmaps/gstreamer-properties.png
%_menudir/gstreamer-properties
%config %_sysconfdir/gconf/schemas/gnome-audio-profiles.*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_includedir/%_name
%_libdir/libgnome-media-profiles.so
%_libdir/pkgconfig/gnome-media-profiles.pc

%files gcdplayer -f gnome-cd.lang
%_bindir/gnome-cd
%_datadir/applications/gnome-cd*
%_datadir/pixmaps/gnome-cd*
%_menudir/gcdplayer
%config %_sysconfdir/gconf/schemas/gnome-cd.*

%files cddbslave
%_libdir/bonobo/*/GNOME_Media_CDDBSlave2.server
%_bindir/CDDBSlave2
%_bindir/cddb-*
%_datadir/idl/GNOME_Media_CDDBSlave2.idl
%_datadir/control-center-2.0/capplets/cddb*
%config %_sysconfdir/gconf/schemas/CDDB-Slave2.*

%files gmix -f gnome-volume-control.lang
%_bindir/gnome-volume-control
%_datadir/applications/gnome-volume-control*
%_datadir/pixmaps/gnome-mixer*
%_menudir/gmix
#%config %_sysconfdir/gconf/schemas/gnome-volume-control.*

%files vumeter
%_bindir/vumeter
%_datadir/applications/vumeter*
%_datadir/applications/reclevel*
%_datadir/pixmaps/*vumeter*
%_datadir/pixmaps/*reclevel*
%_menudir/vumeter

%files grecord -f gnome-sound-recorder.lang
%_bindir/gnome-sound-recorder
%_datadir/applications/gnome-sound-recorder*
%_datadir/gnome-sound-recorder
%_datadir/pixmaps/*grecord*
%_datadir/pixmaps/%_name/gnome-sound-recorder
%_menudir/grecord
%config %_sysconfdir/gconf/schemas/gnome-sound-recorder.*

%files -n libcddbslave2
%_libdir/libcddb-slave2.so.*

%files -n libcddbslave2-devel
%_includedir/cddb-slave2
%_libdir/libcddb-slave2.so

%if_enabled static
%files -n libcddbslave2-devel-staic
%_libdir/*.a
%endif

%changelog
* Fri May 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.1

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Mar 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.2-alt1
- 2.5.2

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1.1-alt1
- 2.4.1.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.8-alt1
- 2.3.8

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.7-alt1
- 2.3.7

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Thu Jul 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Mon Jun 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Thu Apr 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Wed Feb 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1.1-alt1
- 2.2.2.1

* Wed Feb 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Fri Jan 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Wed Jan 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5
- gstreamer-properties.desktop removed

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Sat Nov 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1
- grecord uses gstreamer!

* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2.5-alt3
- rebuild with new pango, gtk+

* Sun Sep 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2.5-alt2.1
- gnome2-media virtual package installs all media programs
- gconf2_install macro used for schemas installation.
- scrollkeeper >= 0.3.11 added to requires list.

* Wed Sep 25 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 2.0.2.5-alt2
- Disabled system MTA seek at build time.

* Mon Sep 23 2002 Aleksandr Blokhin 'Sass' <sass@altlinux.ru> 2.0.2.5-alt1.1
- Fixed buildreq.

* Sat Sep 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.2.5-alt1
- First build for Sisyphus.
